$(document).ready(function() {

	// carga Datos Proveedor
	$('#modalProveedor').on('show.bs.modal', function (event) {
		var button = $(event.relatedTarget)
		var modal = $(this);

		modal.find('#idProveedor').val(0);
		modal.find('.input-nombre').val('');

		if (button.data('id') == 0) {
			modal.find('.btn-eliminar').hide();
			modal.find('.btn-editar').html('Crear');
			modal.find('.modal-wait').show();
		}
		else {
			/*
			modal.find('.btn-eliminar').show();
			modal.find('#idProveedor').val(button.data('id'));
			modal.find('.input-nombre').val(button.data('nombre'));
			*/
			var parametros = {
				id : button.data('id')
			};

			$.ajax({
				data:  parametros,
				url:   '/proveedores/get',
				type:  'post',
				beforeSend: function () {
				},
				success:  function (response) {
					proveedor = JSON.parse(response);
					modal.find('#idProveedor').val(proveedor.id);
					modal.find('.input-nombre').val(proveedor.nombre);
					if (proveedor.distribuidor == 1) {
						modal.find('.check-distribuidor').prop('checked', true);
					}
					else{
						modal.find('.check-distribuidor').prop('checked', false);
					}
				}
			});
		}
	});

	
	$('#modalProveedor #formProveedor').submit(function( event ) {
		event.preventDefault();
		$('#modalProveedor .btn-editar').click();
	});


	$('#modalProveedor .btn-editar' ).click(function() {
		var parametros = $('#formProveedor').serialize();
		$.ajax({
			data:  parametros,
			url:   '/proveedores/save',
			type:  'post',
			beforeSend: function () {
			},
			success:  function (response) {
				var idProveedor = JSON.parse(response);
				var id = $('#idProveedor').val();

				if (id == 0) {
					location.reload();
				}
				else {
					var proveedor = $('#proveedor' + id);
					proveedor.find('.nombre').html($('.input-nombre').val());
					$('#modalProveedor').modal('hide');
				}
			}
		});
	});

	$('#modalProveedor .btn-eliminar').click(function() {
		if (confirm('Eliminar')) {
			var id = $('#idProveedor').val();
			var parametros = {
				id : id
			};
			$.ajax({
				data:  parametros,
				url:   '/proveedores/delete',
				type:  'post',
				beforeSend: function () {
				
				},
				success:  function (response) {
					$('#proveedor' + id).remove();
					$('#modalProveedor').modal('hide');
				}
			});
		}
	});

});